<div>
    <h2 id="page-heading">
        <span>Hajats</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-hajat" [routerLink]="['/hajat/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span >
            Create a new Hajat
            </span>
        </button>
    </h2>
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="alert alert-warning" *ngIf="hajats?.length === 0">
        <span>No hajats found</span>
    </div>
    <div class="table-responsive" *ngIf="hajats?.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="reset.bind(this)">
            <th scope="col"  jhiSortBy="id"><span>ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="pengantinPria"><span>Pengantin Pria</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="imagePria"><span>Image Pria</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="imageWanita"><span>Image Wanita</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="pengantinWanita"><span>Pengantin Wanita</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="waliPria"><span>Wali Pria</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="waliWanita"><span>Wali Wanita</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="tglAkad"><span>Tgl Akad</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="hariAkad"><span>Hari Akad</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="jamAkad"><span>Jam Akad</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="lokasiAkad"><span>Lokasi Akad</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="lokasiAkadMap"><span>Lokasi Akad Map</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="tglResepsi"><span>Tgl Resepsi</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="hariResepsi"><span>Hari Resepsi</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="jamMulaiResepsi"><span>Jam Mulai Resepsi</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="jamSelesai"><span>Jam Selesai</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="lokasiResepsi"><span>Lokasi Resepsi</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="lokasiResepsiMap"><span>Lokasi Resepsi Map</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="catatan"><span>Catatan</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="image1"><span>Image 1</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="image2"><span>Image 2</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="image3"><span>Image 3</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="image4"><span>Image 4</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="image5"><span>Image 5</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="image6"><span>Image 6</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="image7"><span>Image 7</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="image8"><span>Image 8</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="image9"><span>Image 9</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="image10"><span>Image 10</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="history1"><span>History 1</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="history2"><span>History 2</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="history3"><span>History 3</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"  jhiSortBy="hstory4"><span>Hstory 4</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th scope="col"></th>
            </tr>
            </thead>
            <tbody infinite-scroll (scrolled)="loadPage(page + 1)" [infiniteScrollDisabled]="page >= links['last']" [infiniteScrollDistance]="0">
            <tr *ngFor="let hajat of hajats ;trackBy: trackId">
                <td><a [routerLink]="['/hajat', hajat.id, 'view' ]">{{hajat.id}}</a></td>
                <td>{{hajat.pengantinPria}}</td>
                <td>{{hajat.imagePria}}</td>
                <td>{{hajat.imageWanita}}</td>
                <td>{{hajat.pengantinWanita}}</td>
                <td>{{hajat.waliPria}}</td>
                <td>{{hajat.waliWanita}}</td>
                <td>{{hajat.tglAkad}}</td>
                <td>{{hajat.hariAkad}}</td>
                <td>{{hajat.jamAkad}}</td>
                <td>{{hajat.lokasiAkad}}</td>
                <td>{{hajat.lokasiAkadMap}}</td>
                <td>{{hajat.tglResepsi}}</td>
                <td>{{hajat.hariResepsi}}</td>
                <td>{{hajat.jamMulaiResepsi}}</td>
                <td>{{hajat.jamSelesai}}</td>
                <td>{{hajat.lokasiResepsi}}</td>
                <td>{{hajat.lokasiResepsiMap}}</td>
                <td>{{hajat.catatan}}</td>
                <td>{{hajat.image1}}</td>
                <td>{{hajat.image2}}</td>
                <td>{{hajat.image3}}</td>
                <td>{{hajat.image4}}</td>
                <td>{{hajat.image5}}</td>
                <td>{{hajat.image6}}</td>
                <td>{{hajat.image7}}</td>
                <td>{{hajat.image8}}</td>
                <td>{{hajat.image9}}</td>
                <td>{{hajat.image10}}</td>
                <td>{{hajat.history1}}</td>
                <td>{{hajat.history2}}</td>
                <td>{{hajat.history3}}</td>
                <td>{{hajat.hstory4}}</td>
                <td class="text-right">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/hajat', hajat.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/hajat', hajat.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline">Edit</span>
                        </button>
                        <button type="submit" (click)="delete(hajat)"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
